buffer: calculate buffer of a geometry

## Functions

template<typename Input , typename Output , typename Distance >
void | boost::geometry::buffer (Input const &geometry_in, Output &geometry_out, Distance const &distance, Distance const &chord_length=-1)
| Calculates the buffer of a geometry.
template<typename GeometryIn , typename MultiPolygon , typename DistanceStrategy , typename SideStrategy , typename JoinStrategy , typename EndStrategy , typename PointStrategy >
void | boost::geometry::buffer (GeometryIn const &geometry_in, MultiPolygon &geometry_out, DistanceStrategy const &distance_strategy, SideStrategy const &side_strategy, JoinStrategy const &join_strategy, EndStrategy const &end_strategy, PointStrategy const &point_strategy)
| Calculates the buffer of a geometry.
template<typename Output , typename Input , typename Distance >
Output | boost::geometry::return_buffer (Input const &geometry, Distance const &distance, Distance const &chord_length=-1)
| Calculates the buffer of a geometry.

## Function Documentation

template<typename Input , typename Output , typename Distance >

void boost::geometry::buffer | ( | Input const & | geometry_in,
|  | Output & | geometry_out,
|  | Distance const & | distance,
|  | Distance const & | chord_length = `-1`
| ) |  |

Calculates the buffer of a geometry.

The free function buffer calculates the buffer (a polygon being the spatial point set collection within a specified maximum distance from a geometry) of a geometry.

Template Parameters:

  Input | Any type fulfilling a Geometry Concept
  Output | Any type fulfilling a Geometry Concept
  Distance | numerical type (int, double, ttmath, ...)

Parameters:

  geometry_in | A model of the specified concept
  geometry_out | A model of the specified concept
  distance | The distance to be used for the buffer
  chord_length | (optional) The length of the chord's in the generated arcs around points or bends

template<typename Output , typename Input , typename Distance >

Output boost::geometry::return_buffer | ( | Input const & | geometry,
|  | Distance const & | distance,
|  | Distance const & | chord_length = `-1`
| ) |  |

Calculates the buffer of a geometry.

The free function return_buffer calculates the buffer (a polygon being the spatial point set collection within a specified maximum distance from a geometry) of a geometry. This version with the return_ prefix returns the buffer, and a template parameter must therefore be specified in the call..

Template Parameters:

  Input | Any type fulfilling a Geometry Concept
  Output | Any type fulfilling a Geometry Concept
  Distance | numerical type (int, double, ttmath, ...)

Parameters:

  geometry | A model of the specified concept
  distance | The distance to be used for the buffer
  chord_length | (optional) The length of the chord's in the generated arcs around points or bends (RESERVED, NOT YET USED)

Returns:
  The calculated \1

template<typename GeometryIn , typename MultiPolygon , typename DistanceStrategy , typename SideStrategy , typename JoinStrategy , typename EndStrategy , typename PointStrategy >

void boost::geometry::buffer | ( | GeometryIn const & | geometry_in,
|  | MultiPolygon & | geometry_out,
|  | DistanceStrategy const & | distance_strategy,
|  | SideStrategy const & | side_strategy,
|  | JoinStrategy const & | join_strategy,
|  | EndStrategy const & | end_strategy,
|  | PointStrategy const & | point_strategy
| ) |  |

Calculates the buffer of a geometry.

The free function buffer calculates the buffer (a polygon being the spatial point set collection within a specified maximum distance from a geometry) of a geometry.

Template Parameters:

  GeometryIn | Any type fulfilling a Geometry Concept
  MultiPolygon | A type fulfilling the MultiPolygon Concept
  DistanceStrategy | A strategy defining distance (or radius)
  SideStrategy | A strategy defining creation along sides
  JoinStrategy | A strategy defining creation around convex corners
  EndStrategy | A strategy defining creation at linestring ends
  PointStrategy | A strategy defining creation around points

Parameters:

  geometry_in | A model of the specified concept
  geometry_out | output multi polygon (or std:: collection of polygons), will contain a buffered version of the input geometry
  distance_strategy | The distance strategy to be used
  side_strategy | The side strategy to be used
  join_strategy | The join strategy to be used
  end_strategy | The end strategy to be used
  point_strategy | The point strategy to be used

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK